<?php



// Fonctions pour gérer les sessions.
// La session est transmise via le cookie "$_COOKIE['SESSION_NOM']".

// Paramétrage de la session
define('SESSION_NOM','cas-session');
session_name(SESSION_NOM);
session_cache_limiter('nocache');
session_cache_expire(180);

// Ouvrir une session existante
function open_old_session()
{
	$ID = $_COOKIE[SESSION_NOM];
	session_id($ID);
	return session_start();
}

// Créer une nouvelle session
function open_new_session()
{
	$ID = uniqid().md5('grain_de_sable'.mt_rand());	// Utiliser l'option préfixe ou entropie de uniqid() insère un '.' qui peut provoquer une erreur disant que les seuls caractères autorisés sont a-z, A-Z, 0-9 et -
	session_id($ID);
	return session_start();
}

// Initialiser une session existante
function init_session()
{
//	$_SESSION = array();


}

// Fermer une session existante
function cas_close_session()
{

	$_SESSION = array();
	setcookie(session_name(),'',time()-42000,'/');
	session_destroy();

}

// Recherche d'une session existante et gestion des cas possibles.
function gestion_session()
{


	if(!isset($_COOKIE[SESSION_NOM]))
	{
		// I. Aucune session transmise
		open_new_session(); init_session();
		}
	
	else
	{
		// II. id de session transmis
		open_old_session();
		
	}
}

?>